### Class

# GdkDrawContext

#### Description [src]

    abstract class Gdk.DrawContext : GObject.Object
    {
      /* No available fields */
    }

Base class for objects implementing different rendering methods.

`GdkDrawContext` is the base object used by contexts implementing different rendering methods, such as `GdkCairoContext` or `GdkGLContext`. It provides shared functionality between those contexts.

You will always interact with one of those subclasses.

A `GdkDrawContext` is always associated with a single toplevel surface.

#### Hierarchy

#### Ancestors

- GObject

#### Descendants

- GdkCairoContext
- GdkGLContext
- GdkVulkanContext

#### Instance methods

###### gdk_draw_context_begin_frame

Indicates that you are beginning the process of redrawing `region` on the `context`‘s surface.

###### gdk_draw_context_end_frame

Ends a drawing operation started with gdk_draw_context_begin_frame().

###### gdk_draw_context_get_display

Retrieves the `GdkDisplay` the `context` is created for.

###### gdk_draw_context_get_frame_region

Retrieves the region that is currently being repainted.

###### gdk_draw_context_get_surface

Retrieves the surface that `context` is bound to.

###### gdk_draw_context_is_in_frame

Returns `TRUE` if `context` is in the process of drawing to its surface.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gdk.DrawContext:display

The `GdkDisplay` used to create the `GdkDrawContext`.

###### Gdk.DrawContext:surface

The `GdkSurface` the context is bound to.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.